package org.eclipse.equinox.launcher;

import java.io.ByteArrayOutputStream;

public class ByteArrayBuffer extends ByteArrayOutputStream
{
    public ByteArrayBuffer() {
    }
    
    public ByteArrayBuffer(final int size) {
        super(size);
    }
    
    synchronized byte[] getByteArray() {
        return this.buf;
    }
    
    public synchronized void consumed(final int count) {
        if (count >= this.count) {
            this.reset();
            return;
        }
        System.arraycopy(this.buf, count, this.buf, 0, this.count - count);
    }
}
